## xdoclet.modules.borland.bes.ejb
Class BorlandSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
                          xdoclet.modules.borland.bes.ejb.BorlandSubTask

All Implemented Interfaces:
  Serializable

public class BorlandSubTask
extends AbstractEjbDeploymentDescriptorSubTask

Author:
  Michal Maczka
See Also:
  Serialized Form
ant.element
  display-name="Borland" name="borland" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  December 5, 2002

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`BorlandSubTask()`

Method Summary
`protected void` `engineStarted()` Describe what the method does
`String` `getCreatetables()` Gets the Createtables attribute of the BorlandSubTask object
`String` `getDatasource()` Gets the Createtables attribute of the BorlandSubTask object
`String` `getDatasourceMapping()`
`String` `getVersion()` Gets the Version attribute of the BorlandSubTask object
`void` `setCreatetables(boolean flag)` Sets the Createtables attribute of the BorlandSubTask object
`void` `setDatasource(String datasource)` Sets the Datasource attribute of the JBossSubTask object
`void` `setDatasourceMapping(String datasourceMapping)`
`void` `setVersion(String version)` Sets the Version attribute of the BorlandSubTask object
`void` `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
`atLeastOneCmp1EntityBeanExists, atLeastOneCmp2EntityBeanExists, atLeastOneCmpEntityBeanExists`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask

`addOfType, addOfType, addPackageSubstitution, execute, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorlandSubTask

    public BorlandSubTask()

Method Detail

### getVersion

    public String getVersion()

  Gets the Version attribute of the BorlandSubTask object

  Returns:
    The Version value

### getCreatetables

    public String getCreatetables()

  Gets the Createtables attribute of the BorlandSubTask object

  Returns:
    The Createtables value

### getDatasource

    public String getDatasource()

  Gets the Createtables attribute of the BorlandSubTask object

  Returns:
    The Createtables value

### getDatasourceMapping

    public String getDatasourceMapping()

### setVersion

    public void setVersion(String version)

  Sets the Version attribute of the BorlandSubTask object

  Parameters:
    `version` - The new Version value

### setCreatetables

    public void setCreatetables(boolean flag)

  Sets the Createtables attribute of the BorlandSubTask object

  Parameters:
    `flag` - The new Createtables value

### setDatasource

    public void setDatasource(String datasource)

  Sets the Datasource attribute of the JBossSubTask object

  Parameters:
    `datasource` -

### setDatasourceMapping

    public void setDatasourceMapping(String datasourceMapping)

  Parameters:
    `datasourceMapping` -

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

http://xdoclet.sourceforge.net/